/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_ITEMRATEIO                                               */
/* Tabela : ITEMRATEIO                                                        */
/*                                                                            */
/* Criao:                                                                   */
/* 02/05/2007 Mariana Ferreira da Costa                                       */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_ITEMRATEIO
BEFORE INSERT OR UPDATE OR DELETE
ON ITEMRATEIO FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUITRT := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDRATEIO,  '') <> NVL(:NEW.CDRATEIO,   '')) OR
         (NVL(:OLD.CDFILIAL,  '') <> NVL(:NEW.CDFILIAL,   '')) OR
         (NVL(:OLD.CDCENTCUST,'') <> NVL(:NEW.CDCENTCUST, '')) OR
         (NVL(:OLD.VRRATEIO,  0) <> NVL(:NEW.VRRATEIO,   0)) THEN
         :NEW.DTULTATUITRT := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('ITEMRATEIO', '', 'CDRATEIO='||:OLD.CDRATEIO||';CDFILIAL='||:OLD.CDFILIAL||';CDCENTCUST='||:OLD.CDCENTCUST||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE ITEMRATEIO MODIFY DTULTATUITRT DEFAULT SYSDATE
/



-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_ITEMRATEIO','5.01.004'); END;
/

